/* src/autoconfig.h.  Generated by configure.  */
/***************************************
  $Header: /home/amb/wwwoffle/src/RCS/autoconfig.h.in.in 1.10 2005/08/19 17:58:11 amb Exp $

  WWWOFFLE - World Wide Web Offline Explorer - Version 2.9.
  Header file template filled in by configure.
  ******************/ /******************
  Written by Andrew M. Bishop

  This file Copyright 2001,02,03,04,05 Andrew M. Bishop
  It may be distributed under the GNU Public License, version 2, or
  any higher version.  See section COPYING of the GNU Public license
  for conditions under which this file may be redistributed.
  ***************************************/

#ifndef AUTOCONF_H
#define AUTOCONF_H    /*+ To stop multiple inclusions. +*/


/* ------------------------------------------------------------
   The values in the section below can be changed if required, see INSTALL. */

/*+ The default localhost name to use for the wwwoffle program. +*/
#define DEF_LOCALHOST "localhost"

/*+ The default port number to use for the http proxy demon. +*/
#define DEF_HTTP_PORT 8080

/*+ The default port number to use for the https proxy demon. +*/
#define DEF_HTTPS_PORT 8443

/*+ The default port number to use for the wwwoffle control. +*/
#define DEF_WWWOFFLE_PORT 8081

/*+ The default spool directory. +*/
#define DEF_SPOOLDIR "/var/spool/wwwoffle"

/*+ The default configuration file directory. +*/
#define DEF_CONFDIR "/etc/wwwoffle"


/*+ The absolute maximum number of servers to fork in total. +*/
#define MAX_SERVERS 64
/*+ The default total number of servers to fork. +*/
#define DEF_MAX_SERVERS 8

/*+ The absolute maximum number of servers to fork for fetching previously requested pages. +*/
#define MAX_FETCH_SERVERS 48
/*+ The default number of servers to fork for fetching pages. +*/
#define DEF_MAX_FETCH_SERVERS 4

/*+ The number of pretime directories to create (lasttime history). +*/
#define NUM_PREVTIME_DIR 7
/* If this is changed then to see the links to them you will need to edit
   /var/spool/wwwoffle/html/messages/IndexLastTime-Tail.html &
   /var/spool/wwwoffle/html/messages/IndexLastOut-Tail.html. */


/*+ The default permission for creating directories. +*/
#define DEF_DIR_PERM  0755
/*+ The default permission for creating files. +*/
#define DEF_FILE_PERM 0644

/* The values in the section above can be changed if required, see INSTALL.
   ------------------------------------------------------------ */


/*** Compilation options ***/

/*+ Define this to use zlib for compression. +*/
#define USE_ZLIB 1

/*+ Define this to use gnutls for SSL/https. +*/
#define USE_GNUTLS 1

/*+ Define this to use IPv6 sockets. +*/
#define USE_IPV6 1


/*** Header files ***/

/*+ Define if you have the <dirent.h> header file.  +*/
#define HAVE_DIRENT_H 1

/*+ Define if you have the <sys/ndir.h> header file.  +*/
/* #undef HAVE_SYS_NDIR_H */

/*+ Define if you have the <sys/dir.h> header file.  +*/
/* #undef HAVE_SYS_DIR_H */

/*+ Define if you have the <ndir.h> header file.  +*/
/* #undef HAVE_NDIR_H */

/*+ Define if you have the <sys/time.h> header file.  +*/
#define HAVE_SYS_TIME_H 1

/*+ Define if the <time.h> and <sys/time.h> header files can both be included.  +*/
#define TIME_WITH_SYS_TIME 1

/*+ Define if you have the <sys/param.h> header file.  +*/
#define HAVE_SYS_PARAM_H 1

/*+ Define if you have the <sys/mount.h> header file.  +*/
#define HAVE_SYS_MOUNT_H 1

/*+ Define if you have the <sys/statvfs.h> header file.  +*/
#define HAVE_SYS_STATVFS_H 1

/*+ Define if you have the <sys/vfs.h> header file.  +*/
#define HAVE_SYS_VFS_H 1


/*** Library functions ***/

/*+ Define if you have the getnameinfo function.  +*/
#define HAVE_GETNAMEINFO 1

/*+ Define if you have the getaddrinfo function.  +*/
#define HAVE_GETADDRINFO 1

/*+ Define if you have the statfs function.  +*/
#define HAVE_STATFS 1

/*+ Define if you have the statvfs function.  +*/
#define HAVE_STATVFS 1

/*+ Define if you have the setresuid function.  +*/
#define HAVE_SETRESUID 1

/*+ Define if you have the setresgid function.  +*/
#define HAVE_SETRESGID 1

/*+ Define if you have the getresuid function.  +*/
#define HAVE_GETRESUID 1

/*+ Define if you have the getresgid function.  +*/
#define HAVE_GETRESGID 1

/*+ Define if you have the setreuid function.  +*/
#define HAVE_SETREUID 1

/*+ Define if you have the setregid function.  +*/
#define HAVE_SETREGID 1

/*+ Define if you have the setgroups function.  +*/
#define HAVE_SETGROUPS 1


/*** Type definitions ***/

/*+ Define if the struct tm has a tm_zone member.  +*/
#define HAVE_TM_ZONE 1

/*+ Define if the global variable tzname exists.  +*/
/* #undef HAVE_TZNAME */


#endif /* AUTOCONF_H */
